﻿### Syncfusion ASP.NET MVC PowerPoint To PDF Converter
The Syncfusion [ASP.NET MVC PowerPoint (Presentation) library](https://www.syncfusion.com/powerpoint-framework/net?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget) converts a [PowerPoint presentation to PDF](https://www.syncfusion.com/powerpoint-framework/net/powerpoint-to-pdf-conversion?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget) with just five lines of code and also it does not require Adobe and Microsoft PowerPoint application to be installed in the machine. It preserves the original appearance of the PowerPoint presentation in the converted PDF document.

![ASP.NET MVC PowerPoint to PDF Library](https://cdn.syncfusion.com/nuget-readme/fileformats/net-pptx-to-pdf.png)

[Features overview](https://www.syncfusion.com/powerpoint-framework/net/powerpoint-library?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget) | [Docs](https://help.syncfusion.com/file-formats/presentation/overview?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget) | [API Reference](https://help.syncfusion.com/cr/file-formats/Syncfusion.Presentation.html?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget) | [Online Demo](https://ej2.syncfusion.com/aspnetmvc/Presentation/Default?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget#/material) | [GitHub Examples](https://github.com/syncfusion/aspnet-mvc-ej1-demos/tree/master/Controllers/Presentation?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget) | [Blogs](https://www.syncfusion.com/blogs/?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget&s=presentation) | [Support](https://support.syncfusion.com/create?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget) | [Forums](https://www.syncfusion.com/forums?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget) | [Feedback](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget)

### Key Features

* Convert entire [PowerPoint presentation to PDF](https://help.syncfusion.com/file-formats/presentation/presentation-to-pdf?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget).
* Convert specific [PowerPoint slide to PDF](https://help.syncfusion.com/file-formats/presentation/presentation-to-pdf?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget).
* Convert PowerPoint presentation to PDF with,
  * [Auto shapes](https://help.syncfusion.com/file-formats/presentation/working-with-shapes?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget)
  * [Images](https://help.syncfusion.com/file-formats/presentation/working-with-images?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget)
  * [Tables](https://help.syncfusion.com/file-formats/presentation/working-with-tables?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget)
  * [Charts](https://help.syncfusion.com/file-formats/presentation/working-with-charts?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget#chart-to-image-conversion)
  * [Connectors](https://help.syncfusion.com/file-formats/presentation/create-edit-connectors-in-powerpoint-slides-cs-vb-net?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget)
  * [Header and Footer](https://help.syncfusion.com/file-formats/presentation/working-with-headers-and-footers?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget)
  * [SmartArts](https://help.syncfusion.com/file-formats/presentation/smartart?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget)
  * [OLE Objects](https://help.syncfusion.com/file-formats/presentation/working-with-ole-objects?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget)
  * [Group shapes](https://help.syncfusion.com/file-formats/presentation/working-with-shapes?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget)
  * [Rich-text formatting](https://help.syncfusion.com/file-formats/presentation/working-with-paragraphs?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget)
  * [Paragraph alignments](https://help.syncfusion.com/file-formats/presentation/working-with-paragraphs?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget)
  * [Hyperlinks](https://help.syncfusion.com/file-formats/presentation/working-with-hyperlinks?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget)
  * [Handouts](https://help.syncfusion.com/file-formats/presentation/presentation-to-pdf?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget)
  * [Notes Pages](https://help.syncfusion.com/file-formats/presentation/presentation-to-pdf?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget)
  * [PDF Conformance](https://help.syncfusion.com/file-formats/presentation/presentation-to-pdf?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget)
* Support to run the Presentation applications in multi-thread and its thread safe.

### System Requirements
* [System Requirements](https://help.syncfusion.com/file-formats/installation-and-upgrade/system-requirements?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget)

### Getting started
You can fetch the Syncfusion .NET PowerPoint library NuGet by simply running the command `Install-Package Syncfusion.PresentationToPDFConverter.AspNet.Mvc4` from the Package Manager Console in Visual Studio.

Try the following code example to convert the PowerPoint Presentation to PDF. 

```csharp
//Namespaces to perform PPTX to PDF conversion
using Syncfusion.Presentation;
using Syncfusion.OfficeChartToImageConverter;
using Syncfusion.PresentationToPdfConverter;
using Syncfusion.Pdf;

//Opens a PowerPoint Presentation 
using (IPresentation pptxDoc = Presentation.Open("Sample.pptx"))
{
	//Creates an instance of ChartToImageConverter and assigns it to ChartToImageConverter property of Presentation
	pptxDoc.ChartToImageConverter = new ChartToImageConverter();
	//Convert the PowerPoint document to PDF document.
	using (PdfDocument pdfDocument = PresentationToPdfConverter.Convert(pptxDoc))
	{
		//Creates an instance of memory stream.
		using (MemoryStream pdfStream = new MemoryStream())
		{
		  //Save the converted PDF document to memory stream.
		  pdfDocument.Save(pdfStream);
		}
	}
}
```

For more information to get started, refer to our [Getting Started Documentation page](https://help.syncfusion.com/file-formats/presentation/create-read-edit-powerpoint-files-in-asp-net-mvc?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget).

### License
This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget). You can purchase a license [here](https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget).

### About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 27,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.

Today, we provide 1700+ components and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget), [ASP.NET Web Forms](https://www.syncfusion.com/jquery/aspnet-web-forms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget), and [jQuery](https://www.syncfusion.com/jquery-ui-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget)), mobile ([.NET MAUI (Preview)](https://www.syncfusion.com/maui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget), [Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget), [winforms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget)), and desktop development ([WinForms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget), [WPF](https://www.syncfusion.com/wpf-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget), [.NET MAUI (Preview)](https://www.syncfusion.com/maui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget), [Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget), and [winforms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.
___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20ASPNET%20Core%20Presentation%20-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=aspnetmvc-presentationtopdfconverter-nuget) | Toll Free: 1-888-9 DOTNET

© Copyright 2021 Syncfusion, Inc. All Rights Reserved. The Syncfusion Essential Studio license and copyright applies to this distribution.